io.undertow.server

## Interface HttpHandler

All Known Implementing Classes:
  AbstractConfidentialityHandler, AbstractSecurityContextAssociationHandler, AccessControlListHandler, AccessLogHandler, AllowedMethodsHandler, AttachmentHandler, AuthenticationCallHandler, AuthenticationConstraintHandler, AuthenticationMechanismsHandler, BlockingHandler, BlockingReadTimeoutHandler, BlockingWriteTimeoutHandler, ByteRangeHandler, CachedAuthenticatedSessionHandler, CacheHandler, CanonicalPathHandler, ChannelUpgradeHandler, ConfiguredPushHandler, ConnectHandler, DateHandler, DisableCacheHandler, DisallowedMethodsHandler, EagerFormParsingHandler, EncodingHandler, ExceptionHandler, FileErrorPageHandler, ForwardedHandler, GracefulShutdownHandler, Http2UpgradeHandler, HttpContinueAcceptingHandler, HttpContinueReadHandler, HttpTraceHandler, IPAddressAccessControlHandler, JDBCLogHandler, JvmRouteHandler, LearningPushHandler, LocalNameResolvingHandler, MetricsHandler, NameVirtualHostHandler, NotificationReceiverHandler, OriginHandler, PathHandler, PathSeparatorHandler, PathTemplateHandler, PeerNameResolvingHandler, PredicateContextHandler, PredicateHandler, PredicatesHandler, ProxyHandler, ProxyPeerAddressHandler, RedirectHandler, RequestBufferingHandler, RequestDumpingHandler, RequestEncodingHandler, RequestLimitingHandler, ResourceHandler, ResponseCodeHandler, ResponseRateLimitingHandler, RoutingHandler, SameSiteCookieHandler, SecureCookieHandler, SecurityInitialHandler, ServerSentEventHandler, SessionAttachmentHandler, SetAttributeHandler, SetErrorHandler, SetHeaderHandler, SimpleErrorPageHandler, SinglePortConfidentialityHandler, SSLHeaderHandler, StoredResponseHandler, StuckThreadDetectionHandler, URLDecodingHandler, WebSocketProtocolHandshakeHandler

    public interface HttpHandler

A handler for an HTTP request. The request handler must eventually either call another handler or end the exchange.

Author:
  David M. Lloyd

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Method Detail

#### handleRequest

    void handleRequest(HttpServerExchange exchange)
                throws Exception

Handle the request.

Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`